Verbrauchszyklen auflisten
curl --request GET \
--url https://api.devin.ai/v3/enterprise/consumption/cycles \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.devin.ai/v3/enterprise/consumption/cycles"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.devin.ai/v3/enterprise/consumption/cycles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"after": 123,
"before": 123
}
],
"end_cursor": "<string>",
"has_next_page": false,
"total": 123
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}Verbrauch (Enterprise)
Verbrauchszyklen auflisten
GET
/
v3
/
enterprise
/
consumption
/
cycles
Verbrauchszyklen auflisten
Die Consumption-API steht nur Accounts im Enterprise-Plan zur Verfügung. Teams und Self-serve-Organisationen erhalten eine
403-Antwort; einen Toggle pro Account, den der Support aktivieren könnte, gibt es nicht.Berechtigungen
ViewAccountConsumption auf Enterprise-Ebene.Autorisierungen
Servicebenutzer-Anmeldedaten (Präfix: cog_)
Antwort
Erfolgreiche Antwort
Show child attributes
Show child attributes
Cursor zum Abrufen der nächsten Seite oder None, falls dies die letzte Seite ist.
Ob nach dieser Seite weitere Elemente verfügbar sind.
Optionale Gesamtanzahl (kann aus Leistungsgründen weggelassen werden).

